%global debug_package %nil

Name:           libreoffice-voikko
Version:        5.0
Release:        %mkrel 1
Summary:        Finnish spellchecker and hyphenator extension for LibreOffice
Group:          Office/Dictionary
License:        MPLv2.0 or GPLv3+
URL:            http://voikko.puimula.org/
Source0:        http://www.puimula.org/voikko-sources/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  libvoikko-devel >= 4.0
Requires:       libreoffice-core >= 3.2.99
Requires:       python3-libvoikko >= 4.0
Requires:       locales-fi
Obsoletes:	openoffice.org-voikko < 3.3

%description
This package contains a Finnish spell-checking and hyphenation component for
LibreOffice. The actual spell-checking and hyphenation functionality is
provided by the Voikko library.

%prep
%setup -q
%autopatch -p1

%build
%make_build extension-files

%install
mkdir -p %{buildroot}%{_libdir}/libreoffice/share/extensions/voikko/
cp -a build/oxt/* %{buildroot}%{_libdir}/libreoffice/share/extensions/voikko/

%files
%doc ChangeLog README
%license COPYING
%{_libdir}/libreoffice/share/extensions/voikko/


%changelog
* Sat Jan 28 2017 wally <wally> 5.0-1.mga6
+ Revision: 1083850
- new version 5.0

* Sat Mar 05 2016 umeabot <umeabot> 4.1-4.mga6
+ Revision: 985913
- Mageia 6 Mass Rebuild

* Sun Feb 22 2015 luigiwalser <luigiwalser> 4.1-2.mga5
+ Revision: 816339
- rebuild for release

* Sun Feb 22 2015 luigiwalser <luigiwalser> 4.1-1.mga5
+ Revision: 816338
- remove upstreamed patch
- 4.1

* Wed Oct 15 2014 umeabot <umeabot> 3.4.1-4.mga5
+ Revision: 748268
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4.1-3.mga5
+ Revision: 681757
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Jan 04 2014 pterjan <pterjan> 3.4.1-2.mga4
+ Revision: 564534
- Add a patch dropping an obsolete option

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + fwang <fwang>
    - new version 3.4.1

* Sat Jan 19 2013 fwang <fwang> 3.3-2.mga3
+ Revision: 389700
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 12 2012 anssi <anssi> 3.3-1.mga2
+ Revision: 208173
- new version 3.3
- fix build with current libreoffice-sdk
- bump libvoikko requires

* Fri Apr 22 2011 anssi <anssi> 3.2-5.mga1
+ Revision: 89836
- readd requires on locales-fi
- use non-version-dependant libO sdk directory (fixes build)
- drop relying on implicit build in rpm install section

* Sun Apr 17 2011 anssi <anssi> 3.2-4.mga1
+ Revision: 87309
- add obsoletes for openoffice.org-voikko

* Sun Apr 17 2011 blino <blino> 3.2-3.mga1
+ Revision: 86856
- do not require unprovided libstlport_gcc.so (this could fixed by providing it in libreoffice-ure)

* Tue Mar 29 2011 mikala <mikala> 3.2-2.mga1
+ Revision: 78670
- Use %%buildroot instead of RPM_BUILD_ROOT
- use %%make

  + dmorgan <dmorgan>
    - imported package libreoffice-voikko

